## org.apache.myfaces.custom.navmenu
Class HtmlNavigationMenuItemTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.core.SelectItemTagBase
                  org.apache.myfaces.custom.navmenu.HtmlNavigationMenuItemTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlNavigationMenuItemTag
extends SelectItemTagBase

Version:
  $Revision: 291055 $ $Date: 2005-09-22 21:33:47 -0400 (Thu, 22 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: tomsp $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlNavigationMenuItemTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setAction(java.lang.String action)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setIcon(java.lang.String icon)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setSplit(java.lang.String split)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class org.apache.myfaces.taglib.core.SelectItemTagBase
`setItemDescription, setItemDisabled, setItemLabel, setItemValue`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlNavigationMenuItemTag

    public HtmlNavigationMenuItemTag()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Overrides:
    `getComponentType` in class `SelectItemTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `SelectItemTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `SelectItemTagBase`

### setAction

    public void setAction(java.lang.String action)

### setIcon

    public void setIcon(java.lang.String icon)

### setSplit

    public void setSplit(java.lang.String split)

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)